
From: Chris Wright <chrisw@osdl.org>

Some minor cleanups for audit_log_lost() messages.

Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/audit.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN kernel/audit.c~some-minor-cleanups-for-audit_log_lost-messages kernel/audit.c
--- 25/kernel/audit.c~some-minor-cleanups-for-audit_log_lost-messages	2005-01-25 22:17:53.843725808 -0800
+++ 25-akpm/kernel/audit.c	2005-01-25 22:17:53.847725200 -0800
@@ -160,7 +160,7 @@ static void audit_panic(const char *mess
 		printk(KERN_ERR "audit: %s\n", message);
 		break;
 	case AUDIT_FAIL_PANIC:
-		panic(message);
+		panic("audit: %s\n", message);
 		break;
 	}
 }
@@ -663,10 +663,10 @@ struct audit_buffer *audit_log_start(str
 
 	if (!ab)
 		ab = kmalloc(sizeof(*ab), GFP_ATOMIC);
-	if (!ab)
-		audit_log_lost("audit: out of memory in audit_log_start");
-	if (!ab)
+	if (!ab) {
+		audit_log_lost("out of memory in audit_log_start");
 		return NULL;
+	}
 
 	atomic_inc(&audit_backlog);
 	skb_queue_head_init(&ab->sklist);
_
